Package wx :: Class DCClipper

[frames | no frames]

## Type DCClipper

    object --+
             |
            DCClipper

wx.wxDCClipper sets the DC's clipping region when it is constructed, and then automatically destroys the clipping region when the clipper goes out of scope.

Method Summary
DCClipper | ``__init__`(self, dc, r)` __init__(self, DC dc, Rect r) -> DCClipper __init__(self, DC dc, int x, int y, int w, int h) -> DCClipper
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, dc, r)
(Constructor)

__init__(self, DC dc, Rect r) -> DCClipper __init__(self, DC dc, int x, int y, int w, int h) -> DCClipper

wx.wxDCClipper sets the DC's clipping region when it is constructed, and then automatically destroys the clipping region when the clipper goes out of scope.

  Parameters:
    `dc`
    (type=DC)

    `r`
    (type=Region)

  Returns:
    DCClipper
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:47 2007 | http://epydoc.sf.net